Bug 147965 - USB system freezes after using ttyUSB0 a while.
USB system freezes after using ttyUSB0 a while.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-14 02:31 EST by rob versluis
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rob versluis 2005-02-14 02:31:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After a while communicating using ttyUSB0 the whole USB system freezes:
The connected USB mouse does not react anymore and inserting USB
memory sticks does not trigger an event.

Version-Release number of selected component (if applicable):
kernel 2.6.10-1.760

How reproducible:

Steps to Reproduce:
1. Start a program which communicate over the ttyUSB0 device.
2. Let it run for sometime.

Actual Results:  The whole USB bus freezes; no communication anymore,
USB mouse frozen.

Expected Results:  Continuous serial communication.

Additional info:

The program I use polls the device if something is there to read.
ioctl( o->sh, FIONREAD, &nbytes );
Comment 1 Dave Jones 2005-07-15 15:55:00 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:36:08 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.